| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_rfft_fast_instance_f32 Struct Reference

Instance structure for the floating-point RFFT/RIFFT function.

## Data Fields
arm_cfft_instance_f32 | Sint
uint16_t | fftLenRFFT
float32_t * | pTwiddleRFFT

## Field Documentation

uint16_t arm_rfft_fast_instance_f32::fftLenRFFT

length of the real sequence

Referenced by arm_rfft_fast_f32(), and arm_rfft_fast_init_f32().

float32_t* arm_rfft_fast_instance_f32::pTwiddleRFFT

Twiddle factors real stage

Referenced by merge_rfft_f32(), and stage_rfft_f32().

arm_cfft_instance_f32 arm_rfft_fast_instance_f32::Sint

Internal CFFT structure.

Referenced by arm_rfft_fast_f32(), arm_rfft_fast_init_f32(), merge_rfft_f32(), and stage_rfft_f32().